<?php
class EventoCancelado
{
	private $sql;
	public $qry;
	private $id_empresa;

	public function __construct()
	{
		ob_start();
		session_start();
		$this->id_empresa = $_SESSION["fild_id_empresa"];
	}

	private function execulta()
	{
		$mysqlCom = new MysqlConnect();
		$this->qry = mysqli_query($mysqlCom->connect(), $this->sql);
	}


	public function SelectEventoCancelado()
	{
		$data_dia = date('Y/m/d');
		$this->sql = "select a.nome, a.data_evento, c.descricao as tipo_evento,
							b.data_hora, b.usuario, b.obs, a.id_evento
							from evento a, evento_cancelado b, tipo_evento c
							where  b.id_evento = a.id_evento
							and a.id_tipo_evento = c.id_tipo_evento
							and a.cancelado = 'S'
							and a.id_empresa = $this->id_empresa
							and a.data_evento > '$data_dia' ";
		$this->execulta();
	}


	public function InsertHistoricoCancelado($id_evento, $obs, $usuario)
	{
		$data_hora = date("Y-m-d H:i:s");
		$this->sql = "insert into evento_cancelado
						 (id_evento, id_empresa, usuario, obs, data_hora)
						 values
						 ($id_evento, $this->id_empresa, '$usuario', '$obs', '$data_hora')";

		$this->execulta();
	}

	public function CancelarEvento($id_evento, $cancelado)
	{
		$this->sql = "update evento
						  set cancelado = '$cancelado'
						  where id_evento = $id_evento
						  and id_empresa = $this->id_empresa";
		echo $this->sql;
		$this->execulta();
	}
}
